#!/bin/sh

PROG=$(basename $0)

if [ -n "$1" ]
then
  echo
  echo "Usage: $PROG < INPUT.hex > OUTPUT.hex"
  echo
  echo "  Given a file of ASCII hex bytes, pretty-print them in 16 columns"
  echo
  exit
fi

tr ' ' '\n' | column -xc 128 | tr '\t' ' '

